﻿using System.Collections.Generic;
using System.Device.Location;

namespace igGrid.Mapper.Models
{
    // (base) class with contact portion used in several entities 
    public class Contact
    {
        
        public int id { get; set; }
        
        public string name1 { get; set; }
        public string salutation { get; set; }
        public string name2 { get; set; }

        public string name3 { get; set; }

        public string street { get; set; }

        public string postCode { get; set; }

        public string city { get; set; }

        public Country country { get; set; }

        public string addressSuffix { get; set; }

        public string phone { get; set; }

        public string mobile { get; set; }

        public string email { get; set; }

        public string fax { get; set; }

        public string taxId { get; set; }

        public GeoCoordinate geo { get; set; } // for distance calculation

    }


    public class Customer
    {
        public int CustomerID { set; get; }
        public string Name { set; get; }
        public Contact contact { set; get; }
        
    }

    public class Partner
    {
        public int partnerID { set; get; }
        public string Name { set; get; }
        public Contact contact { set; get; }

    }

    public class Suplier
    {
        public int suplierID { set; get; }
        public string Name { set; get; }
        public Contact contact { set; get; }

    }

    public class PrivateCustomer
    {
        public int privateCustomerID { set; get; }
        public string Name { set; get; }
        public Contact contact { set; get; }

    }

    public class CentralSettlement
    {
        public int centralSettlementID { set; get; }
        public string Name { set; get; }
        public Contact contact { set; get; }

    }



    public class Country
    {
        public string Name { set; get; }
        public string Code { set; get; }

    }
}